*,
*::before,
*::after {
  box-sizing: border-box;
}
body,
h1,
h2,
h3,
h4,
p,
figure,
blockquote,
dl,
dd {
  margin: 0;
}
ul[role='list'],
ol[role='list'] {
  list-style: none;
}
html,
body {
  height: 100%;
  min-height: 100%;
  overflow: hidden;
}
html {
  font-family: 'Inter', sans-serif;
  font-weight: 400;
  font-feature-settings: 'tnum' on;
  font-size: 16px;
}
button,
input,
input:-webkit-autofill::first-line {
  font-family: 'Inter', sans-serif;
  font-weight: 400;
  font-feature-settings: 'tnum' on;
  font-size: 1em;
}
@supports (font-variation-settings: normal) {
  html {
    font-family: 'Inter var', sans-serif;
  }
}
input[type="submit"] {
  padding: 0.75em 1em;
  border: none;
  cursor: pointer;
  position: relative;
  top: 0;
  left: 0;
  color: white;
  background-color: #4ec94f;
}
input[type="submit"]:hover {
  background-color: #55db56;
}
input:not([type="submit"]),
select {
  font-size: 1em;
  background: #484848;
  color: white;
  padding: 0.75em 1em;
  border: 1px solid #444;
  margin: 0;
  cursor: text;
}
input:not([type="submit"]):-webkit-autofill,
select:-webkit-autofill,
input:not([type="submit"]):-webkit-autofill:hover,
select:-webkit-autofill:hover,
input:not([type="submit"]):-webkit-autofill:focus,
select:-webkit-autofill:focus,
input:not([type="submit"]):-webkit-autofill:active,
select:-webkit-autofill:active {
  -webkit-box-shadow: 0 0 0 30px #48484a inset !important;
  -webkit-text-fill-color: white;
}
.page {
  height: 100%;
  background-color: #111;
  color: white;
}
h1 {
  font-weight: 400;
}
button {
  background-color: #484848;
  color: white;
  border: solid 1px #444;
  cursor: pointer;
  padding: 0.5em;
}
button a {
  color: inherit;
  text-decoration: inherit;
}
button:disabled {
  cursor: progress;
  background-color: #222;
  color: #adabab;
}
button:hover:not(:disabled) {
  color: #4ec94f;
}
html,
body {
  height: 100%;
  min-height: 100%;
  overflow: hidden;
}
html {
  font-family: 'Inter', sans-serif;
  font-weight: 400;
  font-feature-settings: 'tnum' on;
  font-size: 16px;
}
button,
input,
input:-webkit-autofill::first-line {
  font-family: 'Inter', sans-serif;
  font-weight: 400;
  font-feature-settings: 'tnum' on;
  font-size: 1em;
}
@supports (font-variation-settings: normal) {
  html {
    font-family: 'Inter var', sans-serif;
  }
}
input[type="submit"] {
  padding: 0.75em 1em;
  border: none;
  cursor: pointer;
  position: relative;
  top: 0;
  left: 0;
  color: white;
  background-color: #4ec94f;
}
input[type="submit"]:hover {
  background-color: #55db56;
}
input:not([type="submit"]),
select {
  font-size: 1em;
  background: #484848;
  color: white;
  padding: 0.75em 1em;
  border: 1px solid #444;
  margin: 0;
  cursor: text;
}
input:not([type="submit"]):-webkit-autofill,
select:-webkit-autofill,
input:not([type="submit"]):-webkit-autofill:hover,
select:-webkit-autofill:hover,
input:not([type="submit"]):-webkit-autofill:focus,
select:-webkit-autofill:focus,
input:not([type="submit"]):-webkit-autofill:active,
select:-webkit-autofill:active {
  -webkit-box-shadow: 0 0 0 30px #48484a inset !important;
  -webkit-text-fill-color: white;
}
.page {
  height: 100%;
  background-color: #111;
  color: white;
}
h1 {
  font-weight: 400;
}
button {
  background-color: #484848;
  color: white;
  border: solid 1px #444;
  cursor: pointer;
  padding: 0.5em;
}
button a {
  color: inherit;
  text-decoration: inherit;
}
button:disabled {
  cursor: progress;
  background-color: #222;
  color: #adabab;
}
button:hover:not(:disabled) {
  color: #4ec94f;
}
.page {
  overflow: auto;
}
.page .header {
  width: 100%;
  min-width: 1190px;
  padding: 0;
  border-bottom: 1px solid #444;
}
.page .header .header-line {
  max-width: 1440px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1em;
}
.page .header .header-line .search-inputs {
  display: flex;
  align-items: center;
}
.page .header .header-line .search-inputs .fp-search,
.page .header .header-line .search-inputs .fp-select,
.page .header .header-line .search-inputs .fp-radio {
  margin-left: 1em;
}
.page.login {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
}
.page.login .left {
  flex-grow: 4;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
}
.page.login .right {
  flex-grow: 8;
  background: url('images/hacker.jpg');
  background-size: cover;
}
.page.login .login-container {
  margin: 0 auto;
  width: 20em;
}
.page.login img {
  display: block;
  width: 6em;
  margin: 0 auto 2em;
}
.page.login input:not([type="submit"]) {
  margin-bottom: 1.5em;
}
.page.login input {
  width: 100%;
}
.page.login .error {
  height: 1em;
  margin-top: 1.5em;
}
.page.login h1 {
  font-size: 1.5em;
  font-weight: 400;
  text-align: center;
  margin: 0 0 1em 0;
}
.page.login input:-webkit-autofill::first-line {
  font-size: 16px;
}
.page.devices .header-line .device-items {
  display: flex;
}
.page.devices .header-line .device-items .sep {
  border-right: 1px solid #444;
  margin-left: 1em;
}
.page.devices .table-container table tr .paused {
  color: #ffe372;
}
.page.devices .table-container table tr td .archived {
  margin-left: 0.5em;
  color: white;
}
.page.orgs .header-line .org-items {
  display: flex;
}
.page.orgs .header-line .org-items .sep {
  border-right: 1px solid #444;
  margin: 0 1em;
}
.page.orgs .table-container table .tier-count {
  margin: 0 0.25em;
  display: flex;
  flex-direction: row-reverse;
  justify-content: space-between;
}
.page.orgs .table-container table .tier-count .paused {
  color: #ffe372;
}
.page.subs .header .date-flow {
  margin: 0 1em;
}
.page.subs table tr .paused {
  color: #ffe372;
  padding-right: 0.5em;
}
.page.subs table tr .count {
  text-align: right;
}
.page.subs table tr .count .pos {
  content: '+';
  color: #4ec94f;
}
.page.subs table tr .count .pos:before {
  content: '+';
  color: #4ec94f;
}
.page.subs table tr .count .neg {
  color: #dc2953;
}
.sidebar-page {
  display: flex;
  flex-direction: row;
  overflow: hidden;
  height: 100%;
}
.sidebar-page .sidebar {
  min-width: 5em;
  width: 5em;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 1em 0;
  background: #222;
  color: white;
  border-right: 1px solid #444;
}
.sidebar-page .sidebar .spacer {
  flex-grow: 1;
}
.sidebar-page .sidebar img {
  width: 2.5em;
}
.sidebar-page .sidebar .nav-buttons {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 2em 0;
}
.sidebar-page .sidebar .nav-buttons a {
  padding: 0.5em 0;
}
.sidebar-page .sidebar .sidebar-button {
  color: inherit;
  width: inherit;
  text-decoration: none;
  font-size: 2em;
  display: flex;
  flex-direction: column;
  align-items: center;
  border-right: 4px solid transparent;
  border-left: 4px solid transparent;
}
.sidebar-page .sidebar .sidebar-button .button-icon {
  transform: inherit;
}
.sidebar-page .sidebar .sidebar-button .text {
  margin: 0.25em 0 0 0;
  font-size: 0.45em;
}
.sidebar-page .sidebar .sidebar-button.selected {
  border-left: 4px solid #4ec94f;
  background-color: #484848;
}
.sidebar-page .sidebar .sidebar-button:hover {
  color: #55db56;
}
.sidebar-page .sidebar .logout-button {
  transform: scaleX(-1);
}
.sidebar-page .page {
  flex-grow: 1;
  overflow: auto;
}
.tier-select {
  width: 10em;
}
.fp-select .fp-select-inputs {
  position: relative;
}
.fp-select .fp-select-inputs .fp-select-input-top {
  display: flex;
  background: #48484a;
  margin: 0;
  border: 1px solid #444;
}
.fp-select .fp-select-inputs .fp-select-input-top .fp-select-input {
  background-color: transparent;
  border: none;
  width: 100%;
}
.fp-select .fp-select-inputs .fp-select-input-top .fp-select-input:focus {
  outline: none;
}
.fp-select .fp-select-inputs .fp-select-input-top .fp-select-suffix-button {
  color: white;
  background-color: transparent;
  border: none;
  cursor: pointer;
}
.fp-select .fp-select-inputs .fp-select-input-top .fp-select-suffix-button:hover {
  color: #4ec94f;
}
.fp-select .fp-select-inputs .fp-select-popup {
  top: calc(100% + 0.5em);
  position: absolute;
  left: 0;
  right: 0;
  background-color: #111;
  border: 1px solid #444;
  overflow: hidden;
  z-index: 10;
}
.fp-select .fp-select-inputs .fp-select-popup .fp-select-popup-options {
  overflow-y: auto;
  overflow-x: hidden;
  max-height: 20em;
}
.fp-select .fp-select-inputs .fp-select-popup .fp-select-popup-options .fp-option {
  cursor: pointer;
  padding: 0.25em 0.5em;
}
.fp-select .fp-select-inputs .fp-select-popup .fp-select-popup-options .fp-option:focus,
.fp-select .fp-select-inputs .fp-select-popup .fp-select-popup-options .fp-option:hover {
  background-color: #222;
}
.fp-select .fp-select-inputs .fp-select-popup .fp-select-popup-options .fp-select-no-match {
  padding: 0.25em 0.5em;
}
.fp-select .fp-select-inputs .fp-select-popup .load-more {
  width: 100%;
  background-color: transparent;
  color: #4ec94f;
  border: none;
  padding: 0.25em 0.5em;
  cursor: pointer;
}
.fp-select .fp-select-inputs .fp-select-popup .load-more:hover {
  color: #55db56;
}
.fp-select .fp-force-blur-bg {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  z-index: 9;
}
.table-container {
  margin: 1em;
  min-width: calc(1190px - 2em);
  max-width: calc(1440px - 2em);
  border: 1px solid #444;
  display: flex;
  flex-direction: column;
}
.table-container table {
  table-layout: fixed;
  border-collapse: collapse;
  width: 100%;
}
.table-container table .no-data {
  padding: 0.5em;
}
.table-container table thead {
  text-align: left;
  background-color: #222;
  top: 0;
  position: sticky;
  margin: 0;
  box-shadow: inset 0 -1px #444;
}
.table-container table thead th {
  padding: 0.5em;
}
.table-container table .tier-col {
  width: 5em;
  text-align: right;
}
.table-container table tr {
  border: 1px solid #444;
}
.table-container table tr td {
  padding: 0.5em;
}
.table-container table tr td span {
  display: block;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
.table-container table tr .addon-cell {
  display: flex;
  flex-wrap: wrap;
  width: 100%;
  height: 100%;
  padding: 0.3em;
  margin: auto;
}
.table-container table tr .addon-cell .addon {
  font-size: 14px;
  background-color: #465588;
  width: fit-content;
  display: flex;
  padding: 0.2em;
  margin: 0.1em;
}
.table-container table tr .tier {
  text-align: right;
}
.table-container table tr .tier.tier0 {
  background-color: #000000;
}
.table-container table tr .tier.tier1 {
  background-color: #a64241;
}
.table-container table tr .tier.tier2 {
  background-color: #af6802;
}
.table-container table tr .tier.tier3 {
  background-color: #346534;
}
.table-container table tr .tier.tier4 {
  background-color: #465588;
}
.table-container table tr .tier.tier5 {
  background-color: #604688;
}
.table-container table tr td:first-child {
  border-left: none;
}
.table-container table tr td:last-child {
  border-right: none;
}
.table-container table tr:nth-child(even) {
  background-color: #222;
}
.table-container table tr:nth-child(odd) {
  background-color: #111;
}
.table-container .clickable-cell,
.table-container a,
.table-container .load-more {
  cursor: pointer;
}
.table-container .load-more {
  margin: auto;
  padding: 1em;
  background-color: transparent;
  color: #4ec94f;
}
.table-container .clickable-cell:hover,
.table-container a:hover {
  color: #55db56;
}
.table-container a[disabled] {
  color: #888 !important;
  cursor: inherit;
}
.table-container a.hidden {
  display: none;
}
.fp-search {
  position: relative;
  background: #48484a;
  margin: 0;
  border: 1px solid #444;
}
.fp-search .search-input {
  background-color: transparent;
  border: none;
  width: 100%;
}
.fp-search .search-input:focus {
  outline: none;
}
.fp-search .fp-search-suffix-button {
  position: absolute;
  color: white;
  background-color: transparent;
  border: none;
  cursor: pointer;
  right: 0;
  top: 0;
  bottom: 0;
}
.fp-search .fp-search-suffix-button:hover {
  color: #4ec94f;
}
.fp-radio {
  display: flex;
  flex-direction: row;
  align-items: center;
  cursor: pointer;
}
.fp-radio .fp-radio-label {
  color: #adabab;
  margin-right: 0.5em;
  user-select: none;
}
.fp-radio .fp-radio-button {
  box-sizing: border-box;
  position: relative;
  width: 3em;
  height: 1.6em;
  padding: 0.1em;
  background-color: #222;
  border: solid 1px #444;
}
.fp-radio .fp-radio-button .fp-radio-notch {
  position: absolute;
  width: calc(50% - 0.2em);
  height: calc(100% - 0.2em);
}
.fp-radio .fp-radio-button.on {
  background-color: #389139;
}
.fp-radio .fp-radio-button.on .fp-radio-notch {
  right: 0.1em;
  background-color: #f5f5f5;
}
.fp-radio .fp-radio-button.off .fp-radio-notch {
  background-color: #484848;
  left: 0.1em;
}
